Manjaro Erro de GPGME: Motor de encriptação inválido

1. Manjaro Erro de GPGME: Motor de encriptação inválido

Kedllon Kleber
kkleber.1991

(usa Manjaro Linux)

Enviado em 25/04/2019 - 10:22h

Bom dia Sr.s
Estou com um problema. Quando rodo sudo pacman -S trizen da o seguinte resultado:
resolvendo dependências...
erro: não foi possível abrir o arquivo /var/lib/pacman/local/avahi-0.7+18+g1b5f401-1/desc: Arquivo ou diretório inexistente
procurando por pacotes conflitantes...

Pacotes (26) pacutils-0.7.0-1 perl-data-dump-1.23-4 perl-encode-locale-1.05-4
perl-file-listing-6.04-5 perl-html-parser-3.72-6
perl-html-tagset-3.20-7 perl-http-cookies-6.04-3
perl-http-daemon-6.01-6 perl-http-date-6.02-5
perl-http-message-6.18-2 perl-http-negotiate-6.01-5
perl-io-html-1.001-4 perl-io-socket-ssl-2.060-1
perl-json-2.97001-1 perl-libwww-6.38-1 perl-log-message-0.08-4
perl-log-message-simple-0.10-4 perl-lwp-mediatypes-6.02-5
perl-lwp-protocol-https-6.07-2 perl-net-http-6.18-2
perl-net-ssleay-1.85-2 perl-term-readline-gnu-1.36-1
perl-term-ui-0.46-4 perl-try-tiny-0.30-2
perl-www-robotrules-6.02-5 trizen-1.58-1

Tamanho total download: 1,17 MiB
Tamanho total instalado: 3,38 MiB

:: Continuar a instalação? [S/n] s
:: Obtendo pacotes...

nas linhas finais o seguinte:
atenção: Chaveiro público não localizado; você executou "pacman-key --init"?
erro: Erro de GPGME: Motor de encriptação inválido
atenção: Chaveiro público não localizado; você executou "pacman-key --init"?
erro: Erro de GPGME: Motor de encriptação inválido
erro: pacutils: faltando assinatura exigida
:: Arquivo /var/cache/pacman/pkg/pacutils-0.7.0-1-x86_64.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n]


Isso acontece pra qualquer instalação que eu tendo.. até msm o comando: sudo pacman -Syu retorna esse erro.
Alguem da essa força ai.
Muito obrigado a todos.


  


2. Re: Manjaro Erro de GPGME: Motor de encriptação inválido

3. deu ruim

Kedllon Kleber
kkleber.1991

(usa Manjaro Linux)

Enviado em 25/04/2019 - 23:52h



segue o resultado.:
[kleber@kleber-pc ~]$ sudo rm -r /etc/pacman.d/gnupg
[sudo] senha para kleber:
[kleber@kleber-pc ~]$ sudo pacman -Sy gnupg archlinux-keyring manjaro-keyring
:: Sincronizando a base de dados de pacotes...
core está atualizado
extra está atualizado
community está atualizado
multilib está atualizado
atenção: archlinux-keyring-20190123-2 está atualizado -- reinstalando
atenção: manjaro-keyring-20180607-1 está atualizado -- reinstalando
resolvendo dependências...
erro: não foi possível abrir o arquivo /var/lib/pacman/local/avahi-0.7+18+g1b5f401-1/desc: Arquivo ou diretório inexistente
procurando por pacotes conflitantes...

Pacotes (3) archlinux-keyring-20190123-2 gnupg-2.2.15-1
manjaro-keyring-20180607-1

Tamanho total download: 2,89 MiB
Tamanho total instalado: 11,12 MiB
Alteração no tamanho: 0,28 MiB

:: Continuar a instalação? [S/n] s
:: Obtendo pacotes...
gnupg-2.2.15-1-x86_64 2,1 MiB 2,21M/s 00:01 [######################] 100%
archlinux-keyring-2... 685,1 KiB 2,01M/s 00:00 [######################] 100%
manjaro-keyring-201... 99,8 KiB 2,63M/s 00:00 [######################] 100%
(3/3) verificando chaves no chaveiro [######################] 100%
atenção: Chaveiro público não localizado; você executou "pacman-key --init"?
erro: Erro de GPGME: Motor de encriptação inválido
atenção: Chaveiro público não localizado; você executou "pacman-key --init"?
erro: Erro de GPGME: Motor de encriptação inválido
erro: gnupg: faltando assinatura exigida
:: Arquivo /var/cache/pacman/pkg/gnupg-2.2.15-1-x86_64.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n] sudo pacman-key --init
erro: archlinux-keyring: faltando assinatura exigida
:: Arquivo /var/cache/pacman/pkg/archlinux-keyring-20190123-2-any.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n]



4. Re: Manjaro Erro de GPGME: Motor de encriptação inválido

Luís Fernando C. Cavalheiro
lcavalheiro

(usa Slackware)

Enviado em 26/04/2019 - 08:15h

Pergunta [*****] mas sempre útil: você instalou o gpg2?


--
Dino®
IRC: luisfcc86@freenode.com
Vi veri universum vivus vici
Public GPG signature: 0x246A590B
Só Slackware é GNU/Linux e Patrick Volkerding é o seu Profeta
Mensagem do dia: Satã representa conhecimento sem limites e não auto-ilusão hipócrita. 


O Enigma do GNU/Linux
O Enigma do GNU/Linux sempre carregou consigo um mistério. Você deve aprender esse segredo, meu jovem. Você deve aprender sua disciplina. Pois em nada neste mundo você pode confiar. Não nas Debian-like, não nas RPM-based, não nas derivadas do Gentoo. Nisto [aponta para o cachimbo] você pode confiar.



5. Re: Manjaro Erro de GPGME: Motor de encriptação inválido

Kedllon Kleber
kkleber.1991

(usa Manjaro Linux)

Enviado em 26/04/2019 - 13:02h

lcavalheiro escreveu:

Pergunta [*****] mas sempre útil: você instalou o gpg2?


--
Dino®
IRC: luisfcc86@freenode.com
Vi veri universum vivus vici
Public GPG signature: 0x246A590B
Só Slackware é GNU/Linux e Patrick Volkerding é o seu Profeta
Mensagem do dia: Satã representa conhecimento sem limites e não auto-ilusão hipócrita. 


O Enigma do GNU/Linux
O Enigma do GNU/Linux sempre carregou consigo um mistério. Você deve aprender esse segredo, meu jovem. Você deve aprender sua disciplina. Pois em nada neste mundo você pode confiar. Não nas Debian-like, não nas RPM-based, não nas derivadas do Gentoo. Nisto [aponta para o cachimbo] você pode confiar.


Sou novo no Manjaro e não fiz nenhuma instalação. A unica que estava fazendo era do PopCornTime onde ouve uma queda de energia no meio do procedimento, quando liguei já não estava mais fazendo nenhuma instalação. Não sei nem o que é gpg2 :(


6. Re: Manjaro Erro de GPGME: Motor de encriptação inválido

Kowalski
kowalskii

(usa KDE Neon)

Enviado em 26/04/2019 - 13:25h

Um dúvida meio besta, mas... A data e a hora do seu computador estão corretos?


7. Re: Manjaro Erro de GPGME: Motor de encriptação inválido

Kedllon Kleber
kkleber.1991

(usa Manjaro Linux)

Enviado em 26/04/2019 - 13:34h

Data e hora correta.
Uso manjaro XFCE


8. Re: Manjaro Erro de GPGME: Motor de encriptação inválido

Kowalski
kowalskii

(usa KDE Neon)

Enviado em 26/04/2019 - 15:55h

Segundo a wiki do antergos, que também é baseado no Arch, podes tentar o seguinte:

sudo pacman -Scc 

sudo pacman-key --refresh-keys 

sudo pacman -Syu 

Fonte: https://antergos.com/wiki/pt/uncategorized/update-error-involving-keyrings/

Edit:
Achei essas instruções no fórum do Manjaro, que podem ser úteis também, dá uma olhada:
https://forum.manjaro.org/t/issues-with-signature-is-marginal-trust-or-invalid-or-corrupted-package/...


9. Re: Manjaro Erro de GPGME: Motor de encriptação inválido

Kedllon Kleber
kkleber.1991

(usa Manjaro Linux)

Enviado em 26/04/2019 - 19:02h

Fiz e não deu certo.

:(.

Faz o download certinho no comando sudo pacman -Syu só q na hr da instalação da a msm coisa.





atenção: Chaveiro público não localizado; você executou "pacman-key --init"?
erro: Erro de GPGME: Motor de encriptação inválido
erro: bashrc-manjaro: faltando assinatura exigida
:: Arquivo /var/cache/pacman/pkg/bashrc-manjaro-5.0.002-1-any.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n]



10. Re: Manjaro Erro de GPGME: Motor de encriptação inválido

Kowalski
kowalskii

(usa KDE Neon)

Enviado em 29/04/2019 - 08:12h

Puts, que estranho..
O que podes tentar ainda é rodar o comando:
sudo pacman -Scc 

Vai limpar todo o cache do pacman. Ai executar:
sudo pacman-mirrors -g 

Vai atualizar o mirrorlist. E ai tentar rodar:
sudo pacman -Syyu 

Com os dois "y".

Se eu encontrar mais alguma coisa útil volto a postar aqui.
Abraço.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts